// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "util/File.hpp"
#include "util/Image.hpp"

#define TRUETYPE_FIRST_CHAR 32
#define TRUETYPE_NUM_CHARS 96

namespace Dawn {
  class TrueTypeTool : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;

    public:
      int32_t start();
  };
}